> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kinbox.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a channel



## OpenAPI

````yaml get /v1/channels/{id}
openapi: 3.0.0
info:
  title: Kinbox API
  description: Kinbox public API
  version: '2.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/channels/{id}:
    get:
      tags:
        - v1Channels
      summary: Retrieve a channel
      operationId: getChannel
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelPublicDto'
components:
  schemas:
    ChannelPublicDto:
      type: object
      properties:
        id:
          type: number
          example: 103
        description:
          type: string
          example: Comercial
          description: Nome do canal. Para e-mail, é o endereço da caixa.
        platformId:
          type: number
          example: 1
          description: >-
            1 WhatsApp, 2 Telegram, 3 Facebook, 4 Widget, 5 E-mail, 6
            Customizado, 7 Instagram, 8 Mercado Livre, 9 SMS
        phone:
          type: string
          example: '5585988887777'
        status:
          type: string
          example: connected
        isConnected:
          type: boolean
          example: true
        version:
          type: number
          example: 4
          description: 'Versão do canal de WhatsApp: 3 não oficial, 4 oficial (Cloud API)'
        waba_id:
          type: string
          example: '123456789012345'
          description: Id da WABA. Diferente de nulo apenas em canais de WhatsApp Oficial.
        groupIds:
          type: array
          items:
            type: number
        isPrivate:
          type: boolean
          example: false
        isBanned:
          type: boolean
          example: false
        customFields:
          type: object
      required:
        - id
        - platformId

````